Gentoo Archives: gentoo-commits

From: "Michal Gorny (mgorny)" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in sys-apps/systemd: systemd-212.ebuild ChangeLog
Date: Thu, 27 Mar 2014 13:55:10
Message-Id: 20140327135501.D42E22004F@flycatcher.gentoo.org
1 mgorny 14/03/27 13:55:01
2
3 Modified: ChangeLog
4 Added: systemd-212.ebuild
5 Log:
6 Version bump.
7
8 (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key EFB4464E!)
9
10 Revision Changes Path
11 1.241 sys-apps/systemd/ChangeLog
12
13 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/systemd/ChangeLog?rev=1.241&view=markup
14 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/systemd/ChangeLog?rev=1.241&content-type=text/plain
15 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/systemd/ChangeLog?r1=1.240&r2=1.241
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/sys-apps/systemd/ChangeLog,v
20 retrieving revision 1.240
21 retrieving revision 1.241
22 diff -u -r1.240 -r1.241
23 --- ChangeLog 24 Mar 2014 19:33:02 -0000 1.240
24 +++ ChangeLog 27 Mar 2014 13:55:01 -0000 1.241
25 @@ -1,6 +1,11 @@
26 # ChangeLog for sys-apps/systemd
27 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/ChangeLog,v 1.240 2014/03/24 19:33:02 mgorny Exp $
29 +# $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/ChangeLog,v 1.241 2014/03/27 13:55:01 mgorny Exp $
30 +
31 +*systemd-212 (27 Mar 2014)
32 +
33 + 27 Mar 2014; Michał Górny <mgorny@g.o> +systemd-212.ebuild:
34 + Version bump.
35
36 24 Mar 2014; Michał Górny <mgorny@g.o> systemd-9999.ebuild:
37 Update following upstream changes. GnuTLS support has been added, and tcp-
38
39
40
41 1.1 sys-apps/systemd/systemd-212.ebuild
42
43 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/systemd/systemd-212.ebuild?rev=1.1&view=markup
44 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/systemd/systemd-212.ebuild?rev=1.1&content-type=text/plain
45
46 Index: systemd-212.ebuild
47 ===================================================================
48 # Copyright 1999-2014 Gentoo Foundation
49 # Distributed under the terms of the GNU General Public License v2
50 # $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/systemd-212.ebuild,v 1.1 2014/03/27 13:55:01 mgorny Exp $
51
52 EAPI=5
53
54 AUTOTOOLS_PRUNE_LIBTOOL_FILES=all
55 PYTHON_COMPAT=( python{2_7,3_2,3_3} )
56 inherit autotools-utils bash-completion-r1 fcaps linux-info multilib \
57 multilib-minimal pam python-single-r1 systemd toolchain-funcs udev \
58 user
59
60 DESCRIPTION="System and service manager for Linux"
61 HOMEPAGE="http://www.freedesktop.org/wiki/Software/systemd"
62 SRC_URI="http://www.freedesktop.org/software/systemd/${P}.tar.xz"
63
64 LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
65 SLOT="0/2"
66 KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
67 IUSE="acl audit cryptsetup doc +firmware-loader gcrypt gudev http introspection
68 kdbus +kmod lzma pam policykit python qrcode +seccomp selinux ssl
69 test vanilla xattr"
70
71 MINKV="3.0"
72
73 COMMON_DEPEND=">=sys-apps/util-linux-2.20:0=
74 sys-libs/libcap:0=
75 acl? ( sys-apps/acl:0= )
76 audit? ( >=sys-process/audit-2:0= )
77 cryptsetup? ( >=sys-fs/cryptsetup-1.6:0= )
78 gcrypt? ( >=dev-libs/libgcrypt-1.4.5:0= )
79 gudev? ( dev-libs/glib:2=[${MULTILIB_USEDEP}] )
80 http? ( >=net-libs/libmicrohttpd-0.9.33:0= )
81 introspection? ( >=dev-libs/gobject-introspection-1.31.1:0= )
82 kmod? ( >=sys-apps/kmod-15:0= )
83 lzma? ( app-arch/xz-utils:0=[${MULTILIB_USEDEP}] )
84 pam? ( virtual/pam:= )
85 python? ( ${PYTHON_DEPS} )
86 qrcode? ( media-gfx/qrencode:0= )
87 seccomp? ( sys-libs/libseccomp:0= )
88 selinux? ( sys-libs/libselinux:0= )
89 ssl? ( net-libs/gnutls:0= )
90 xattr? ( sys-apps/attr:0= )
91 abi_x86_32? ( !<=app-emulation/emul-linux-x86-baselibs-20130224-r9
92 !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)] )"
93
94 # baselayout-2.2 has /run
95 RDEPEND="${COMMON_DEPEND}
96 >=sys-apps/baselayout-2.2
97 || (
98 >=sys-apps/util-linux-2.22
99 <sys-apps/sysvinit-2.88-r4
100 )
101 !sys-auth/nss-myhostname
102 !<sys-libs/glibc-2.14
103 !sys-fs/udev"
104
105 # sys-apps/daemon: the daemon only (+ build-time lib dep for tests)
106 PDEPEND=">=sys-apps/dbus-1.6.8-r1:0
107 >=sys-apps/hwids-20130717-r1[udev]
108 >=sys-fs/udev-init-scripts-25
109 policykit? ( sys-auth/polkit )
110 !vanilla? ( sys-apps/gentoo-systemd-integration )"
111
112 # Newer linux-headers needed by ia64, bug #480218
113 DEPEND="${COMMON_DEPEND}
114 app-arch/xz-utils:0
115 dev-util/gperf
116 >=dev-util/intltool-0.50
117 >=sys-devel/binutils-2.23.1
118 >=sys-devel/gcc-4.6
119 >=sys-kernel/linux-headers-${MINKV}
120 ia64? ( >=sys-kernel/linux-headers-3.9 )
121 virtual/pkgconfig
122 doc? ( >=dev-util/gtk-doc-1.18 )
123 python? ( dev-python/lxml[${PYTHON_USEDEP}] )
124 test? ( >=sys-apps/dbus-1.6.8-r1:0 )"
125
126 src_prepare() {
127 # Bug 463376
128 sed -i -e 's/GROUP="dialout"/GROUP="uucp"/' rules/*.rules || die
129
130 autotools-utils_src_prepare
131 }
132
133 pkg_pretend() {
134 local CONFIG_CHECK="~AUTOFS4_FS ~BLK_DEV_BSG ~CGROUPS ~DEVTMPFS ~DMIID
135 ~EPOLL ~FANOTIFY ~FHANDLE ~INOTIFY_USER ~IPV6 ~NET ~PROC_FS
136 ~SECCOMP ~SIGNALFD ~SYSFS ~TIMERFD
137 ~!IDE ~!SYSFS_DEPRECATED ~!SYSFS_DEPRECATED_V2
138 ~!GRKERNSEC_PROC"
139
140 use acl && CONFIG_CHECK+=" ~TMPFS_POSIX_ACL"
141 use pam && CONFIG_CHECK+=" ~AUDITSYSCALL"
142 use xattr && CONFIG_CHECK+=" ~TMPFS_XATTR"
143 kernel_is -lt 3 7 && CONFIG_CHECK+=" ~HOTPLUG"
144 use firmware-loader || CONFIG_CHECK+=" ~!FW_LOADER_USER_HELPER"
145
146 if linux_config_exists; then
147 local uevent_helper_path=$(linux_chkconfig_string UEVENT_HELPER_PATH)
148 if [ -n "${uevent_helper_path}" ] && [ "${uevent_helper_path}" != '""' ]; then
149 ewarn "It's recommended to set an empty value to the following kernel config option:"
150 ewarn "CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
151 fi
152 fi
153
154 if [[ ${MERGE_TYPE} != binary ]]; then
155 if [[ $(gcc-major-version) -lt 4
156 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ) ]]
157 then
158 eerror "systemd requires at least gcc 4.6 to build. Please switch the active"
159 eerror "gcc version using gcc-config."
160 die "systemd requires at least gcc 4.6"
161 fi
162 fi
163
164 if [[ ${MERGE_TYPE} != buildonly ]]; then
165 if kernel_is -lt ${MINKV//./ }; then
166 ewarn "Kernel version at least ${MINKV} required"
167 fi
168
169 if ! use firmware-loader && kernel_is -lt 3 8; then
170 ewarn "You seem to be using kernel older than 3.8. Those kernel versions"
171 ewarn "require systemd with USE=firmware-loader to support loading"
172 ewarn "firmware. Missing this flag may cause some hardware not to work."
173 fi
174
175 check_extra_config
176 fi
177 }
178
179 pkg_setup() {
180 use python && python-single-r1_pkg_setup
181 }
182
183 multilib_src_configure() {
184 local myeconfargs=(
185 # disable -flto since it is an optimization flag
186 # and makes distcc less effective
187 cc_cv_CFLAGS__flto=no
188
189 --disable-maintainer-mode
190 --localstatedir=/var
191 --with-pamlibdir=$(getpam_mod_dir)
192 # avoid bash-completion dep
193 --with-bashcompletiondir="$(get_bashcompdir)"
194 # make sure we get /bin:/sbin in $PATH
195 --enable-split-usr
196 # disable sysv compatibility
197 --with-sysvinit-path=
198 --with-sysvrcnd-path=
199 # no deps
200 --enable-efi
201 --enable-ima
202 # optional components/dependencies
203 $(use_enable acl)
204 $(use_enable audit)
205 $(use_enable cryptsetup libcryptsetup)
206 $(use_enable doc gtk-doc)
207 $(use_enable gcrypt)
208 $(use_enable gudev)
209 $(use_enable http microhttpd)
210 $(use_enable introspection)
211 $(use_enable kdbus)
212 $(use_enable kmod)
213 $(use_enable lzma xz)
214 $(use_enable pam)
215 $(use_enable policykit polkit)
216 $(use_with python)
217 $(use_enable python python-devel)
218 $(use_enable qrcode qrencode)
219 $(use_enable seccomp)
220 $(use_enable selinux)
221 $(use_enable ssl gnutls)
222 $(use_enable test tests)
223 $(use_enable xattr)
224
225 # not supported (avoid automagic deps in the future)
226 --disable-chkconfig
227
228 # hardcode a few paths to spare some deps
229 QUOTAON=/usr/sbin/quotaon
230 QUOTACHECK=/usr/sbin/quotacheck
231 )
232
233 # Keep using the one where the rules were installed.
234 MY_UDEVDIR=$(get_udevdir)
235
236 if use firmware-loader; then
237 myeconfargs+=(
238 --with-firmware-path="/lib/firmware/updates:/lib/firmware"
239 )
240 fi
241
242 # Added for testing; this is UNSUPPORTED by the Gentoo systemd team!
243 if [[ -n ${ROOTPREFIX+set} ]]; then
244 myeconfargs+=(
245 --with-rootprefix="${ROOTPREFIX}"
246 --with-rootlibdir="${ROOTPREFIX}/$(get_libdir)"
247 )
248 fi
249
250 if ! multilib_is_native_abi; then
251 myeconfargs+=(
252 ac_cv_search_cap_init=
253 ac_cv_header_sys_capability_h=yes
254 DBUS_CFLAGS=' '
255 DBUS_LIBS=' '
256
257 --disable-acl
258 --disable-audit
259 --disable-gcrypt
260 --disable-gnutls
261 --disable-gtk-doc
262 --disable-introspection
263 --disable-kmod
264 --disable-libcryptsetup
265 --disable-microhttpd
266 --disable-networkd
267 --disable-pam
268 --disable-polkit
269 --disable-qrencode
270 --disable-seccomp
271 --disable-selinux
272 --disable-tests
273 --disable-xattr
274 --disable-xz
275 --disable-python-devel
276 )
277 fi
278
279 # Work around bug 463846.
280 tc-export CC
281
282 autotools-utils_src_configure
283 }
284
285 multilib_src_compile() {
286 local mymakeopts=(
287 udevlibexecdir="${MY_UDEVDIR}"
288 )
289
290 if multilib_is_native_abi; then
291 emake "${mymakeopts[@]}"
292 else
293 # prerequisites for gudev
294 use gudev && emake src/gudev/gudev{enumtypes,marshal}.{c,h}
295
296 echo 'gentoo: $(BUILT_SOURCES)' | \
297 emake "${mymakeopts[@]}" -f Makefile -f - gentoo
298 echo 'gentoo: $(lib_LTLIBRARIES) $(pkgconfiglib_DATA)' | \
299 emake "${mymakeopts[@]}" -f Makefile -f - gentoo
300 fi
301 }
302
303 multilib_src_test() {
304 multilib_is_native_abi || continue
305
306 default
307 }
308
309 multilib_src_install() {
310 local mymakeopts=(
311 # automake fails with parallel libtool relinking
312 # https://bugs.gentoo.org/show_bug.cgi?id=491398
313 -j1
314
315 udevlibexecdir="${MY_UDEVDIR}"
316 dist_udevhwdb_DATA=
317 DESTDIR="${D}"
318 )
319
320 if multilib_is_native_abi; then
321 emake "${mymakeopts[@]}" install
322 # Even with --enable-networkd, it's not right to have this running by default
323 # when it's unconfigured.
324 rm -f "${D}"/etc/systemd/system/multi-user.target.wants/systemd-networkd.service
325 else
326 mymakeopts+=(
327 install-libLTLIBRARIES
328 install-pkgconfiglibDATA
329 install-includeHEADERS
330 # safe to call unconditionally, 'installs' empty list
331 install-libgudev_includeHEADERS
332 install-pkgincludeHEADERS
333 )
334
335 emake "${mymakeopts[@]}"
336 fi
337
338 # install compat pkg-config files
339 local pcfiles=( src/compat-libs/libsystemd-{daemon,id128,journal,login}.pc )
340 emake "${mymakeopts[@]}" install-pkgconfiglibDATA \
341 pkgconfiglib_DATA="${pcfiles[*]}"
342 }
343
344 multilib_src_install_all() {
345 prune_libtool_files --modules
346 einstalldocs
347
348 # we just keep sysvinit tools, so no need for the mans
349 rm "${D}"/usr/share/man/man8/{halt,poweroff,reboot,runlevel,shutdown,telinit}.8 \
350 || die
351 rm "${D}"/usr/share/man/man1/init.1 || die
352
353 # Disable storing coredumps in journald, bug #433457
354 mv "${D}"/usr/lib/sysctl.d/50-coredump.conf{,.disabled} || die
355
356 # Preserve empty dirs in /etc & /var, bug #437008
357 keepdir /etc/binfmt.d /etc/modules-load.d /etc/tmpfiles.d \
358 /etc/systemd/ntp-units.d /etc/systemd/user /var/lib/systemd
359
360 # Symlink /etc/sysctl.conf for easy migration.
361 dosym ../sysctl.conf /etc/sysctl.d/99-sysctl.conf
362 }
363
364 migrate_locale() {
365 local envd_locale_def="${EROOT%/}/etc/env.d/02locale"
366 local envd_locale=( "${EROOT%/}"/etc/env.d/??locale )
367 local locale_conf="${EROOT%/}/etc/locale.conf"
368
369 if [[ ! -L ${locale_conf} && ! -e ${locale_conf} ]]; then
370 # If locale.conf does not exist...
371 if [[ -e ${envd_locale} ]]; then
372 # ...either copy env.d/??locale if there's one
373 ebegin "Moving ${envd_locale} to ${locale_conf}"
374 mv "${envd_locale}" "${locale_conf}"
375 eend ${?} || FAIL=1
376 else
377 # ...or create a dummy default
378 ebegin "Creating ${locale_conf}"
379 cat > "${locale_conf}" <<-EOF
380 # This file has been created by the sys-apps/systemd ebuild.
381 # See locale.conf(5) and localectl(1).
382
383 # LANG=${LANG}
384 EOF
385 eend ${?} || FAIL=1
386 fi
387 fi
388
389 if [[ ! -L ${envd_locale} ]]; then
390 # now, if env.d/??locale is not a symlink (to locale.conf)...
391 if [[ -e ${envd_locale} ]]; then
392 # ...warn the user that he has duplicate locale settings
393 ewarn
394 ewarn "To ensure consistent behavior, you should replace ${envd_locale}"
395 ewarn "with a symlink to ${locale_conf}. Please migrate your settings"
396 ewarn "and create the symlink with the following command:"
397 ewarn "ln -s -n -f ../locale.conf ${envd_locale}"
398 ewarn
399 else
400 # ...or just create the symlink if there's nothing here
401 ebegin "Creating ${envd_locale_def} -> ../locale.conf symlink"
402 ln -n -s ../locale.conf "${envd_locale_def}"
403 eend ${?} || FAIL=1
404 fi
405 fi
406 }
407
408 migrate_net_name_slot() {
409 # If user has disabled 80-net-name-slot.rules using a empty file or a symlink to /dev/null,
410 # do the same for 80-net-setup-link.rules to keep the old behavior
411 local net_move=no
412 local net_name_slot_sym=no
413 local net_rules_path="${EROOT%/}"/etc/udev/rules.d
414 local net_name_slot="${net_rules_path}"/80-net-name-slot.rules
415 local net_setup_link="${net_rules_path}"/80-net-setup-link.rules
416 if [[ -e ${net_setup_link} ]]; then
417 net_move=no
418 elif [[ -f ${net_name_slot} && $(sed -e "/^#/d" -e "/^\W*$/d" ${net_name_slot} | wc -l) == 0 ]]; then
419 net_move=yes
420 elif [[ -L ${net_name_slot} && $(readlink ${net_name_slot}) == /dev/null ]]; then
421 net_move=yes
422 net_name_slot_sym=yes
423 fi
424 if [[ ${net_move} == yes ]]; then
425 ebegin "Copying ${net_name_slot} to ${net_setup_link}"
426
427 if [[ ${net_name_slot_sym} == yes ]]; then
428 ln -nfs /dev/null "${net_setup_link}"
429 else
430 cp "${net_name_slot}" "${net_setup_link}"
431 fi
432 eend $? || FAIL=1
433 fi
434 }
435
436 pkg_postinst() {
437 enewgroup systemd-journal
438 if use http; then
439 enewgroup systemd-journal-gateway
440 enewuser systemd-journal-gateway -1 -1 -1 systemd-journal-gateway
441 fi
442 systemd_update_catalog
443
444 # Keep this here in case the database format changes so it gets updated
445 # when required. Despite that this file is owned by sys-apps/hwids.
446 if has_version "sys-apps/hwids[udev]"; then
447 udevadm hwdb --update --root="${ROOT%/}"
448 fi
449
450 udev_reload || FAIL=1
451
452 # Bug 468876
453 fcaps cap_dac_override,cap_sys_ptrace=ep usr/bin/systemd-detect-virt
454
455 # Bug 465468, make sure locales are respect, and ensure consistency
456 # between OpenRC & systemd
457 migrate_locale
458
459 # Migrate 80-net-name-slot.rules -> 80-net-setup-link.rules
460 migrate_net_name_slot
461
462 if [[ ${FAIL} ]]; then
463 eerror "One of the postinst commands failed. Please check the postinst output"
464 eerror "for errors. You may need to clean up your system and/or try installing"
465 eerror "systemd again."
466 eerror
467 fi
468
469 if [[ ! -L "${ROOT}"/etc/mtab ]]; then
470 ewarn "Upstream mandates the /etc/mtab file should be a symlink to /proc/mounts."
471 ewarn "Not having it is not supported by upstream and will cause tools like 'df'"
472 ewarn "and 'mount' to not work properly. Please run:"
473 ewarn " # ln -sf '${ROOT}proc/self/mounts' '${ROOT}etc/mtab'"
474 ewarn
475 fi
476
477 if ! has_version sys-apps/systemd-ui; then
478 elog "To get additional features, a number of optional runtime dependencies may"
479 elog "be installed:"
480 elog "- sys-apps/systemd-ui: for GTK+ systemadm UI and gnome-ask-password-agent"
481 fi
482 }
483
484 pkg_prerm() {
485 # If removing systemd completely, remove the catalog database.
486 if [[ ! ${REPLACED_BY_VERSION} ]]; then
487 rm -f -v "${EROOT}"/var/lib/systemd/catalog/database
488 fi
489 }